#[derive(
    Debug,
    Clone,
    conjure_object::serde::Deserialize,
    conjure_object::serde::Serialize,
    PartialEq,
    Eq,
    PartialOrd,
    Ord,
    Hash
)]
#[serde(crate = "conjure_object::serde", transparent)]
pub struct ComputeWithUnitsRequest(pub super::ComputeNodeRequest);
impl std::convert::From<super::ComputeNodeRequest> for ComputeWithUnitsRequest {
    #[inline]
    fn from(v: super::ComputeNodeRequest) -> Self {
        ComputeWithUnitsRequest(std::convert::From::from(v))
    }
}
impl std::ops::Deref for ComputeWithUnitsRequest {
    type Target = super::ComputeNodeRequest;
    #[inline]
    fn deref(&self) -> &super::ComputeNodeRequest {
        &self.0
    }
}
impl std::ops::DerefMut for ComputeWithUnitsRequest {
    #[inline]
    fn deref_mut(&mut self) -> &mut super::ComputeNodeRequest {
        &mut self.0
    }
}
impl std::convert::AsRef<super::ComputeNodeRequest> for ComputeWithUnitsRequest {
    #[inline]
    fn as_ref(&self) -> &super::ComputeNodeRequest {
        &self.0
    }
}
